--- a/Makefile	2002-04-09 00:37:57.000000000 -0800
+++ b/Makefile	2018-06-15 07:29:32.882566233 -0800
@@ -1,16 +1,16 @@
 #DEBUG=-g
 DEBUG=
-SCHEME_H_DIR=..
+SCHEME_H_DIR=../tinyscheme-1.41
 CC=gcc
-CFLAGS=-DUSE_DL=1 -I $(SCHEME_H_DIR)
+CFLAGS=-fPIC -Wall
+FEATURES=-DUSE_DL=1
+LDFLAGS=-shared
 
 tsx.so : tsx.c tsx.h Makefile
-	$(CC) -shared -Wall -fPIC $(CFLAGS) -o tsx.so $(DEBUG) tsx.c
-	strip tsx.so
-	ls -l tsx.so
+	$(CC) $(LDFLAGS) $(CFLAGS) -I $(SCHEME_H_DIR) $(FEATURES) -o tsx.so $(DEBUG) tsx.c
 
 .PHONY : clean
 clean:
 	rm -f *.o
 	rm -f tsx.so
-	rm -f *~
\ No newline at end of file
+	rm -f *~
